function externalLinks() {
if (!document.getElementsByTagName) return;
var anchors = document.getElementsByTagName("a");
for (var i=0; i<anchors.length; i++) {
var anchor = anchors[i];
if (anchor.getAttribute("href") &&
anchor.getAttribute("rel") == "external")
anchor.target = "_blank";}}

window.onload = externalLinks;
function selectTag(showContent,selfObj){
var tag = document.getElementById("tags").getElementsByTagName("a");
var taglength = tag.length;
for(i=0; i<taglength; i++){
tag[i].className = "";}
selfObj.className = "focu";
for(i=0; j=document.getElementById("baidu"+i); i++){
j.style.display = "none";}
document.getElementById(showContent).style.display = "block";}
function addBookmark(title,url) {
if (window.sidebar) {
window.sidebar.addPanel(title, url,"");}
else if( document.all ) {
window.external.AddFavorite( url, title);}
else if( window.opera && window.print ) {
return true;}}
function CopyToClipBoard(){
window.clipboardData.setData("Text",'http://www.dalunte.com/');
alert("复制成功，请粘贴到你的QQ/MSN上推荐给你的好友，谢谢！");}
//------------
function DivOpenClose(Url,OpenClose,width,height){
var w=width
var h=height
var t=50;
var l=(document.body.clientWidth-w)/2;
var i=Url
var j=OpenClose
if(j==1){
document.getElementById("DivIframe").style.visibility="visible";
document.getElementById("DivIframe").style.width=w+"px";
document.getElementById("DivIframe").style.height=h+"px";
document.getElementById("DivIframe").style.top=t+"px";
document.getElementById("DivIframe").style.left=l+"px";
document.getElementById("OpenIframe").src=i;
}
if(j==2){
parent.document.getElementById("DivIframe").style.width=0;
parent.document.getElementById("DivIframe").style.height=0;
parent.document.getElementById("DivIframe").style.visibility='hidden';
parent.document.getElementById("OpenIframe").src="about:blank";
}
}